Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.params
Class KDFDoublePipelineIterationParameters

    java.lang.Object
      org.bouncycastle.crypto.params.KDFDoublePipelineIterationParameters

All Implemented Interfaces:
  DerivationParameters

public final class KDFDoublePipelineIterationParameters
extends java.lang.Object
implements DerivationParameters

Note that counter is only supported at the location presented in the NIST SP 800-108 specification, not in the additional locations present in the CAVP test vectors.

Method Summary
`static KDFDoublePipelineIterationParameters` | `createWithCounter(byte[] ki, byte[] fixedInputData, int r)`
`static KDFDoublePipelineIterationParameters` | `createWithoutCounter(byte[] ki, byte[] fixedInputData)`
`byte[]` | `getFixedInputData()`
`byte[]` | `getKI()`
`int` | `getR()`
`boolean` | `useCounter()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createWithCounter

    public static KDFDoublePipelineIterationParameters createWithCounter(byte[] ki,
                                                                         byte[] fixedInputData,
                                                                         int r)

### createWithoutCounter

    public static KDFDoublePipelineIterationParameters createWithoutCounter(byte[] ki,
                                                                            byte[] fixedInputData)

### getKI

    public byte[] getKI()

### useCounter

    public boolean useCounter()

### getR

    public int getR()

### getFixedInputData

    public byte[] getFixedInputData()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD